Page Cache Settings
Table of Contents
Cache Storage Setting | Storage Path Max Object Size
Cache Policy | Enable Cache Cache Expire Time (Seconds) Cache Request with Query String Cache Request with Cookie Cache Response with Cookie Ignore Request Cache-Control Ignore Response Cache-Control Enable Private Cache Private Cache Expire Time (Seconds)
Do-Not-Cache URL | No Cache URL
Storage Path |
Description: Specify the directory that holding cached objects. It should be a directory. Currently LiteSpeed cache store each object in its own file, the file name is a hash of the object key, multiple level of directories will be created in order to avoid holding too many files in one directory. Value must be set in order to enable cache feature.
Syntax: Select from drop down list
Tips: [performance] Assign a dedicate disk or disk array as the cache storage. RAID0 is recommended.
Max Object Size |
Description: Specify the maximum size of an object can be stored in the cache. directory. Default value is 128KB.
Syntax: Integer number
Tips: [Performance] It is not recommended to store large objects with low hit rate into the cache. It may result in high I/O wait and reduce overall server performance.
Enable Cache |
Description: Specify whether to turn on cache for current context, either at server level, virtual host level or directory level. Virtual hosts configured through Apache httpd.conf can use "CacheEnable", "CacheDisable" directives at server, virtualhost, directory, files, location level or in .htaccess. When used at directory level or in .htaccess, "CacheEnable", "CacheDisable" will be applied to all directory below current level. "CacheEnable" "CacheDisable" directives are compatible with Apache mod_cache directives. However, when used at directory, files, location level or in a .htaccess, "CacheEnable", "CacheDisable" will only be applied to all directories below current level, url parameter will be ignored.
Syntax: Integer number
Tips: [Performance] It is not recommended to store large objects with low hit rate into the cache. It may result in high I/O wait and reduce overall server performance.
Cache Expire Time (Seconds) |
Description: Specify how long the object will be cached. Default is 86400 seconds (one day).
Syntax: Integer number
Cache Request with Query String |
Description: Specify whether to cache a request with Query String in the URL. Default is no cache. When URL rewrite is involved, the rewriten URL will be checked against.
Syntax: Select from drop down list
Cache Request with Cookie |
Description: Specify whether to cache a request containing cookie. Default is no cache.
Syntax: Select from drop down list
Cache Response with Cookie |
Description: Specify whether to cache a response containing cookie. Default is no cache.
Syntax: Select from drop down list
Ignore Request Cache-Control |
Description: Specify whether to ignore "Cache-Control" request header. Default is no. If set to yes, server may serve cached object when "no-cache" has been set in "Cache-Control".
Syntax: Select from drop down list
Ignore Response Cache-Control |
Description: Specify whether to ignore "Cache-Control" response header. Default is no. If set to yes, response can be cached by server even when "No-store", "private" has been set in "Cache-Control" header.
Syntax: Select from drop down list
Enable Private Cache |
Description: Specify whether to turn on private cache for current context, either at server level, virtual host level or directory level. Private cache will cache a copy per user based on IP and cookies. Virtual hosts configured through Apache httpd.conf can use "CacheEnable private /url", "CacheDisable private /url" directives at server, virtualhost, directory, files, location level or in .htaccess. When used at directory level or in .htaccess, "CacheEnable private", "CacheDisable private" will be applied to all directory below current level. However, when used at directory, files, location level or in a .htaccess, "CacheEnable private", "CacheDisable private" will be applied to all directories below current level, url parameter will be ignored.
Syntax: Integer number
Tips: [Performance] It is not recommended to store large objects with low hit rate into the cache. It may result in high I/O wait and reduce overall server performance.
Private Cache Expire Time (Seconds) |
Description: Specify how long the object will be cached in private cache. Default is 60 seconds.
Syntax: Integer number
No Cache URL |
Description: A list of URL segments that will not be cached. Any URL that contains those listed segments will not be cached. Regular string match will be used and regular expression is not supported. You can add comments by starting a line with "#", the whole line will be treated as comment and ignored. This feature is only available at server level
Copyright © 2003-2011. Lite Speed Technologies Inc. All rights reserved.